### Function

# Pango extents_to_pixels

since: 1.16

#### Declaration [src]

    void
    pango_extents_to_pixels (
      PangoRectangle* inclusive,
      PangoRectangle* nearest
    )

#### Description [src]

Converts extents from Pango units to device units.

The conversion is done by dividing by the `PANGO_SCALE` factor and performing rounding.

The `inclusive` rectangle is converted by flooring the x/y coordinates and extending width/height, such that the final rectangle completely includes the original rectangle.

The `nearest` rectangle is converted by rounding the coordinates of the rectangle to the nearest device unit (pixel).

The rule to which argument to use is: if you want the resulting device-space rectangle to completely contain the original rectangle, pass it in as `inclusive`. If you want two touching-but-not-overlapping rectangles stay touching-but-not-overlapping after rounding to device units, pass them in as `nearest`.

Available since: 1.16

#### Parameters

`inclusive`

  Type: `PangoRectangle`

  Rectangle to round to pixels inclusively.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`nearest`

  Type: `PangoRectangle`

  Rectangle to round to nearest pixels.

  The argument can be `NULL`.
  The data is owned by the caller of the function.